Subject: Re: bug#30874: 27.0.50; Emacs crashes

From: Glenn Morris <[email-masked]>
Date: Fri, 30 Mar 2018 01:10:27 -0400

Eli Zaretskii wrote:

> Does harfbuzz require Cairo?  If it does, that's unfortunate, because
> the Cairo rendering option currently has a few known and annoying
> redisplay bugs, which no one seems to be willing/capable of fixing.

Jan mentioned this in the initial addition of cairo:

http://lists.gnu.org/archive/html/emacs-devel/2015-02/msg00795.html

   [...] it is just a step to keep up with the times, i.e. server side
   (as in X11 server) rendering is going away as it seems. So Emacs must
   at some point develop client side (cairo) rendering.